Tryton - Issues

 

Issue6947

Title Implement 'sum' on tree views
Priority feature Status resolved
Superseder Nosy List ced, nicoe, perilla, pokoli, reviewbot, roundup-bot
Type feature request Components sao
Assigned To ced Keywords review
Reviews 35771002, 38071002
View: 35771002, 38071002

Created on 2017-11-17.15:43:02 by perilla, last changed by roundup-bot.

Files
File name Uploaded Type Edit Remove
sample.webm perilla, 2017-11-17.15:47:28 video/webm
Messages
New changeset fdf0fc9a6568 by C├ędric Krier in branch 'default':
Add missing colon on sum label
http://hg.tryton.org/sao/rev/fdf0fc9a6568
New review38071002 at https://codereview.tryton.org/38071002/#ps1
msg39074 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-19.11:41:05
Here is review38071002
msg39072 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-03-19.11:24:21
I think we should improve the formating of the fotter to mimic tryton. For example on tryton we have the show values:

Debit: 25.00 / 25.00 Credit: 0.00 / 25.00

While on sao we show:

Debit0,00 / 25,00	Credit0,00 / 25,00


I think sao should include ":" after the field name and a space between label and value.
New changeset 5a4d06d28a1e by Nicolas ?vrard in branch 'default':
Add sum of records on list view
http://hg.tryton.org/sao/rev/5a4d06d28a1e
review35771002 updated at https://codereview.tryton.org/35771002/#ps260001
review35771002 updated at https://codereview.tryton.org/35771002/#ps240001
review35771002 updated at https://codereview.tryton.org/35771002/#ps220001
review35771002 updated at https://codereview.tryton.org/35771002/#ps200001
review35771002 updated at https://codereview.tryton.org/35771002/#ps180001
review35771002 updated at https://codereview.tryton.org/35771002/#ps160001
review35771002 updated at https://codereview.tryton.org/35771002/#ps140001
review35771002 updated at https://codereview.tryton.org/35771002/#ps120001
review35771002 updated at https://codereview.tryton.org/35771002/#ps100001
review35771002 updated at https://codereview.tryton.org/35771002/#ps80001
review35771002 updated at https://codereview.tryton.org/35771002/#ps60001
review35771002 updated at https://codereview.tryton.org/35771002/#ps40001
review35771002 updated at https://codereview.tryton.org/35771002/#ps20001
msg36923 (view) Author: [hidden] (perilla) Date: 2017-11-17.15:43:02
Im wondering if sao has 'sum' on tree views similar to tryton.
History
Date User Action Args
2018-03-19 12:11:36roundup-botsetstatus: testing -> resolved
messages: + msg39079
2018-03-19 11:43:33reviewbotsetmessages: + msg39076
2018-03-19 11:43:32reviewbotsetreviews: 35771002 -> 35771002, 38071002
2018-03-19 11:41:05cedsetstatus: chatting -> testing
assignedto: nicoe -> ced
messages: + msg39074
nosy: + ced
2018-03-19 11:24:22pokolisetstatus: resolved -> chatting
assignedto: perilla -> nicoe
type: feature request
messages: + msg39072
nosy: + nicoe
2018-03-16 18:48:19roundup-botsetstatus: in-progress -> resolved
nosy: + roundup-bot
messages: + msg39042
2018-03-16 18:44:05reviewbotsetmessages: + msg39041
2018-03-16 17:24:49reviewbotsetmessages: + msg39032
2018-03-15 14:25:52reviewbotsetmessages: + msg39019
2018-03-14 19:21:50reviewbotsetmessages: + msg38991

Showing 10 items. Show all history (warning: this could be VERY long)